﻿namespace Maples.eServices.UI.Models.StructureChart
{
	/// <summary>
	/// The view model for the structure chart selections
	/// </summary>
	public class StructureChartSelectionModel
	{
		/// <summary>
		/// Gets or sets a value indicating whether [create full chart]
		/// </summary>
		/// <value><c>true</c>If [create full chart]; otherwise, <c>false</c></value>
		public bool CreateFullChart { get; set; }

		/// <summary>
		/// Gets or sets the depth of parents for the model
		/// </summary>
		/// <value>The parent depth</value>
		public int? ParentDepth { get; set; }

		/// <summary>
		/// Gets or sets the depth of children for the model
		/// </summary>
		/// <value>The child depth</value>
		public int? ChildDepth { get; set; }

    /// <summary>
    /// Gets or sets the data.
    /// </summary>
    public StructureChartResultsModel Data { get; set; }
	}
}